﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Windows;

namespace RichTextDemo
{
    /// <summary>
    /// 资源管理器（用于管理表情字典）
    /// </summary>
    public class ResourceManager
    {
        #region 表情字典（文字转为图片路径）

        private static Dictionary<string, string> emotionDictionary;

        public static Dictionary<string, string> EmotionDictionary
        {
            get
            {
                if (emotionDictionary == null)
                {
                    emotionDictionary = new Dictionary<string, string>();

                    var files = new[] { "sina", "emoji" };

                    foreach (var file in files)
                    {
                        using (var stream = Application.GetResourceStream(
                            new Uri(string.Format("Assets/Emotions/{0}.txt", file), UriKind.Relative)).Stream)
                        {
                            using (var reader = new StreamReader(stream))
                            {
                                var line = reader.ReadLine();
                                while (line != null)
                                {
                                    var res = line.Split(',');
                                    emotionDictionary.Add(res[1], res[0]);
                                    line = reader.ReadLine();
                                }
                            }
                        }
                    }
                }
                return emotionDictionary;
            }
        }

        #endregion
    }
}
